<?php   
defined('C5_EXECUTE') or die(_("Access Denied."));
$al = Loader::helper('concrete/asset_library');
$ah = Loader::helper('concrete/interface');
$thumbnailPerRow = $thumbnailPerRow ? $thumbnailPerRow : 3;
$form = Loader::helper('form');
?>

<style>
#ccm-galleryBlock-imgRows a{cursor:pointer}
#ccm-galleryBlock-imgRows .ccm-galleryBlock-imgRow,
#ccm-galleryBlock-fsRow {margin-bottom:16px;clear:both;padding:7px;background-color:#eee}
#ccm-galleryBlock-imgRows .ccm-galleryBlock-imgRow a.moveUpLink{ display:block; background:url(<?php   echo DIR_REL?>/concrete/images/icons/arrow_up.png) no-repeat center; height:10px; width:16px; }
#ccm-galleryBlock-imgRows .ccm-galleryBlock-imgRow a.moveDownLink{ display:block; background:url(<?php   echo DIR_REL?>/concrete/images/icons/arrow_down.png) no-repeat center; height:10px; width:16px; }
#ccm-galleryBlock-imgRows .ccm-galleryBlock-imgRow a.moveUpLink:hover{background:url(<?php   echo DIR_REL?>/concrete/images/icons/arrow_up_black.png) no-repeat center;}
#ccm-galleryBlock-imgRows .ccm-galleryBlock-imgRow a.moveDownLink:hover{background:url(<?php   echo DIR_REL?>/concrete/images/icons/arrow_down_black.png) no-repeat center;}
#ccm-galleryBlock-imgRows .cm-galleryBlock-imgRowIcons{ float:right; width:35px; text-align:left; }

#ccm-gallery-options-tab *{margin:0;padding:0;}
#ccm-gallery-options-tab ul{margin:10px;list-style:none;}
#ccm-gallery-options-tab ul li{margin-bottom:15px;}
.CODE { font-family: Courier New, Monospace; font-size:12px; font-weight:500; font-style:normal; text-decoration:none; font-variant:normal; color: #006F37; background: #FFFFF0; border: 1px dashed #008000; padding: 8px;}
p.imp{color:crimson;font-weight:bold;}
ol,ul{color:#666;line-height:180%;}
input{font-size:10px;padding:0;letter-spacing:0;}
tr.rola{background-color:white;}
td.rolb{cursor:pointer;text-align:center;border:dashed 1px white;background-color:white;}

table.imgOptionsGrid { margin-top:4px; }
table.imgOptionsGrid td, table.setOptionsGrid td{ vertical-align:top }
</style>
<?php  /*?><script src="<?php  echo $this->getBlockURL();?>/js/201a.js" type="text/javascript"></script><?php  */?>
<ul class="ccm-dialog-tabs" id="ccm-gallery-tabs">
	<li class="ccm-nav-active"><a href="javascript:void(0)" id="ccm-gallery-type"><?php   echo t('Gallery Type')?></a></li>
	<?php  /*?><li><a href="javascript:void(0)" id="ccm-gallery-options"><?php   echo t('Options')?></a></li><?php  */?>
</ul>
<div id="ccm-gallery-options-tab" style="display:none">
	<ul>
		<li>
			<label for="thumbnailWidth"><?php   echo t('Thumbnail Width');?></label>
			<input type="text" id="thumbnailWidth" name="thumbnailWidth" value="<?php   echo $thumbnailWidth?>" style="vertical-align: middle; font-size: 10px; width: 140px" />
		</li>
		<li>
			<label for="thumbnailHeight"><?php   echo t('Thumbnail Height');?></label>
			<input type="text" id="thumbnailHeight" name="thumbnailHeight" value="<?php   echo $thumbnailHeight?>" style="vertical-align: middle; font-size: 10px; width: 140px" />
		</li>
		
		<?php  /*?><li>
			<label for="thumbnailHeight"><?php   echo t('Thumbnails Per Row');?></label><?php  */?>
			<input type="hidden" id="thumbnailPerRow" name="thumbnailPerRow" value="<?php   echo $thumbnailPerRow?>" style="vertical-align: middle; font-size: 10px; width: 140px" />
		<!--</li>-->
		<li>
			<label for="thumbnailHeight"><?php   echo t('Max Number of Thumbnails');?></label>
			<input type="text" id="maxThumbs" name="maxThumbs" value="<?php   echo intval($maxThumbs) ?>" style="vertical-align: middle; font-size: 10px; width: 140px" />
		</li>
		<?php  
		$possibleThumbnailAttributes = array();
		$attrs = FileAttributeKey::getList();
		foreach($attrs as $fak) {
			$fakt = $fak->getAttributeType();
			if ($fakt->getAttributeTypeHandle() == 'image_file') {				
				$possibleThumbnailAttributes[$fak->getAttributeKeyID()] = t('File Attribute: %s', $fak->getAttributeKeyName());
			}
		}
		if (count($possibleThumbnailAttributes) > 0) { 
		
			$possibleThumbnailAttributes[0] = t('** Default');
			ksort($possibleThumbnailAttributes);
		
			?>

		<li>
			<label for="thumbnailAttributeKeyID"><?php   echo t('Thumbnail to Use');?></label>
			<?php  echo Loader::helper('form')->select('thumbnailAttributeKeyID', $possibleThumbnailAttributes, $thumbnailAttributeKeyID)?>
		</li>
		
		<?php   } ?>
		
	</ul>
</div>
<div id="ccm-gallery-type-tab">
	<div id="newImg" style="margin-top:10px;">
		<table cellspacing="0" cellpadding="0" border="0" width="100%">
		<tr>
		<td>
		<strong><?php   echo t('Type')?></strong>
		<select name="type" style="vertical-align: middle">
			<option value="CUSTOM"<?php    if ($type == 'CUSTOM') { ?> selected<?php    } ?>><?php   echo t('Custom Gallery')?></option>
			<option value="FILESET"<?php    if ($type == 'FILESET') { ?> selected<?php    } ?>><?php   echo t('Pictures from File Set')?></option>
		</select>
		</td>
		<td>
			
		<strong><?php   echo t('Slideshow Speed')?></strong>
		<input type="text" name="speed" value="<?php  echo ($speed ? $speed : '4000');?>" size="5" /> (in milleseconds. Eg: 4000)
		</td>
		</tr>
        <tr><td height="6"></td></tr>
        <tr>
		<td>
		<strong><?php   echo t('Image Width')?></strong>
		<input type="text" name="imgwidth" value="<?php  echo $imgwidth;?>" size="5" />px
		</td>
		<td>
			<strong><?php   echo t('Opacity')?></strong>
		<input type="text" name="opacity" value="<?php  echo ($opacity ? $opacity : '80');?>" size="3" /> (Number between 0 and 100)
		
		</td>
		</tr>
        <tr><td height="6"></td></tr>
        <tr>
		<td>
		<strong><?php   echo t('Image Height')?></strong>
		<input type="text" name="imgheight" value="<?php  echo $imgheight;?>" size="5" />px
		</td>
		<td>
<?php  $fh = Loader::helper('form/color');
echo $fh->output('colorcode', 'Choose Overlay Color', ($colorcode ? $colorcode : '#000000'), true) 
?>
		</td>
		</tr>
		<tr>
		<td>
		<strong><?php   echo t('Click Image to Zoom')?></strong>
        <?php  echo $form->checkbox('enableImageLightbox', 1, $enableImageLightbox); ?>
		</td>
		<td>
		<?php  
echo $fh->output('textcolorcode', 'Choose Text Color', ($textcolorcode ? $textcolorcode : '#FFFFFF'), true) 
?>
		</td>
		</tr>
		<tr>
		<td>
		<strong><?php   echo t('Link Image (using Custom Attribute)')?></strong>
		<?php 
		
		Loader::model('file_attributes'); 
		$fileAttributes = FileAttributeKey::getList(); 
		$possibleAttributes = array();
		foreach($fileAttributes as $ak){ 
			$akID=$ak->getAttributeKeyID();
			$possibleAttributes[$ak->getAttributeKeyHandle()] = $ak->getAttributeKeyName();
		}
		
		if (count($possibleAttributes) > 0) { 
		
			$possibleAttributes[0] = t('** None');
			ksort($possibleAttributes);
		
			echo $form->select('linkToPageField', $possibleAttributes, $linkToPageField);
		}
		else{
			echo "None to choose from.";
		}
		?>
        <BR><em>(only available if 'Click Image to Zoom' is disabled)</em>
		</td>
		<td>
		<strong><?php   echo t('Hide Overlay')?></strong>
        <?php  echo $form->checkbox('hideoverlay', 1, $hideoverlay); ?>
		</td>
		</tr>
		<tr style="padding-top: 8px">
		<td colspan="2">
		<br />
		<span id="ccm-galleryBlock-chooseImg"><?php   echo $ah->button_js(t('Add Image'), 'SliderBlock.chooseImg()', 'left');?></span>
		</td>
		</tr>
		</table>
	</div>
	<br/>
	
	<div id="ccm-galleryBlock-imgRows">
	<?php    if ($fsID <= 0) {
		foreach($images as $imgInfo){ 
			$f = File::getByID($imgInfo['fID']);
			$fp = new Permissions($f);
			$imgInfo['thumbPath'] = $f->getThumbnailSRC(1);
			$imgInfo['fileName'] = $f->getTitle();
			if ($fp->canRead()) { 
				$this->inc('image_row_include.php', array('imgInfo' => $imgInfo));
			}
		}
	} ?>
	</div>
	
	<?php   
	Loader::model('file_set');
	$s1 = FileSet::getMySets();
	$sets = array();
	foreach ($s1 as $s){
		$sets[$s->fsID] = $s->fsName;
	}
	$fsInfo['fileSets'] = $sets;
	
	if ($fsID > 0) {
		$fsInfo['fsID'] = $fsID;
		$fsInfo['duration']=$duration;
		$fsInfo['fadeDuration']=$fadeDuration;
		$fsInfo['shownAttributes']=$shownAttributes;
	} else {
		$fsInfo['fsID']='0';
		$fsInfo['duration']=$defaultDuration;
		$fsInfo['fadeDuration']=$defaultFadeDuration;
		$fsInfo['shownAttributes']=$shownShownAttributes;
	}
	$this->inc('fileset_row_include.php', array('fsInfo' => $fsInfo)); ?> 
	
	<div id="imgRowTemplateWrap" style="display:none">
	<?php   
	$imgInfo['galleryImgId']='tempGalleryImgId';
	$imgInfo['fID']='tempFID';
	$imgInfo['fileName']='tempFilename';
	$imgInfo['origfileName']='tempOrigFilename';
	$imgInfo['thumbPath']='tempThumbPath';
	$imgInfo['duration']=$defaultDuration;
	$imgInfo['fadeDuration']=$defaultFadeDuration;
	$imgInfo['groupSet']=0;
	$imgInfo['imgHeight']=tempHeight;
	$imgInfo['url']='';
	$imgInfo['class']='ccm-galleryBlock-imgRow';
	?>
	<?php    $this->inc('image_row_include.php', array('imgInfo' => $imgInfo)); ?> 
	</div>
</div>

<!-- Tab Setup -->
<script type="text/javascript">
	var ccm_fpActiveTab = "ccm-gallery-type";	
	$("#ccm-gallery-tabs a").click(function() {
		$("li.ccm-nav-active").removeClass('ccm-nav-active');
		$("#" + ccm_fpActiveTab + "-tab").hide();
		ccm_fpActiveTab = $(this).attr('id');
		$(this).parent().addClass("ccm-nav-active");
		$("#" + ccm_fpActiveTab + "-tab").show();
	});
</script>